DIPlib Documentation - ©1995-2009 Quantitative Imaging Group, Delft University of Technology.

# MeasurementIsValid

Checks whether a measurement is valid

## SYNOPSIS

`#include "dip_measurement.h"`

dip_Error dip_MeasurementIsValid ( measurement, verdict )

## FUNCTION

This function determines whether `measurement` is forged. If `verdict` is not zero, the result (`DIP_TRUE` or `DIP_FALSE`) is stored in `verdict`, otherwise an error is returned in case the verification fails.

## ARGUMENTS

Data type | Name | Description
`dip_Measurement` | `measurement` | Measurement data structure
`dip_Boolean *` | `verdict` | The validation verdict

## SEE ALSO

`MeasurementFree`, `MeasurementNew`, `MeasurementForge`, `MeasurementID`, `MeasurementSetName`, `MeasurementGetName`, `MeasurementSetPhysicalDimensions`, `MeasurementGetPhysicalDimensions`, `MeasurementNumberOfFeatures`, `MeasurementFeatures`, `MeasurementFeatureValid`, `MeasurementFeatureConvert`, `MeasurementFeatureDescription`, `MeasurementNumberOfObjects`, `MeasurementObjects`, `MeasurementObjectValid`, `MeasurementObjectData`, `MeasurementObjectValue`, `MeasurementFeatureFormat`, `MeasurementFeatureSize`, `MeasurementIsValid`

DIPlib on-line documentation | Function reference | Global function index